Qardio App and Android compatibility

QardioArm and QardioBase work with iOS, Android and Kindle devices. QardioCore is currently available on iOS only. To use Qardio App or operate one or more Qardio devices, your smartphone or tablet will need to have Bluetooth 4.0 (or later). The Qardio App works with Android 5.0 "Lollipop" (or later) and requires access to Google Play.

 

List of Android devices validated to work with Qardio App:

    • HTC One (M7)
    • HTC One (M8)
    • LG Nexus 5
    • LG Nexus 7
    • Motorola Moto X
    • Samsung Galaxy Note 3
    • Samsung S4
    • Samsung S5
    • Sony Ericsson Xperia Z2
    • Sony Ericsson Xperia ZL

 

It is recommended to use Qardio App with a validated device to ensure maximum reliability.

 

Download the Qardio App for Android here.

 

Your phone or tablet has Bluetooth 4.0 and Android 5.0 (or later), but is not on the validated devices list? 

    • Let us know by emailing android [at] getqardio [dot] com
    • Your device might still work well with Qardio App, but it is not yet validated

 

List of Android devices that work with Qardio App, with no known issues:

    • Asus ZenFone 5
    • Google Nexus 4
    • HTC Butterfly
    • Huawei Y530
    • LGE G2 MINI
    • LGE L90
    • LGE LG G Pad 8.3
    • LGE LG G2
    • LGE LG G3
    • Motorola Droid MAXX
    • Motorola Droid Mini
    • Motorola DROID RAZR HD
    • Motorola Moto G
    • Samsung Galaxy Mega 6.3
    • Samsung Galaxy Nexus
    • Samsung Galaxy Note 10.1 2014 Edition
    • Samsung Galaxy Note 8.0
    • Samsung Galaxy Note II
    • Samsung Galaxy Note2
    • Samsung Galaxy S3
    • Samsung Galaxy S3 Mini
    • Samsung Galaxy Tab Pro 12.2
    • Samsung Galaxy Tab3 7.0
    • Samsung Galaxy Tab3 8.0
    • Samsung Galaxy Tab3 10.1
    • Sony Ericsson Xperia SP
    • Sony Ericsson Xperia Z
    • Sony Ericsson Xperia Z1 Compact
    • Sony Ericsson Xperia ZR
    • Sony Xperia Z2 Tablet
    • Amazon Fire HDX 8.9 WAN (4th Gen)
    • Amazon Fire HD 6 (4th Gen)
    • Amazon Kindle Fire HDX 8.9 WAN (3rd Gen)
    • Amazon Fire HDX WiFi (4th Gen)
    • Amazon Kindle Fire HDX 8.9 WiFi (3rd Gen)
    • Amazon Fire HD 7 (4th Gen) 

Download here the Qardio App for Android.

 

Your phone or tablet has Bluetooth 4.0 but you have an older version of Android?

  • Update to the latest Android software version, or
  • Contact your phone carrier or device manufacturer and confirm with them the availability of Android 5.0 "Lollipop" (or later) for your device. 

Qardio App is a free companion app that operates Qardio devices and keeps all your health data in one convenient place. Learn more about our revolutionary, award winning devices here.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request
Powered by Zendesk